As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 684418 - Remove a couple of enablePrivilges from the feed previewer's mochitests
: Remove a couple of enablePrivilges from the feed previewer's mochitests
Status: RESOLVED FIXED
[inbound]
:
Product: Firefox
Classification: Client Software
Component: RSS Discovery and Preview (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 10
Assigned To: Blake Kaplan (:mrbkap)
:
: Marco Bonardo [::mak]
Mentors:
Depends on:
Blocks: 648801
  Show dependency treegraph
 
Reported: 2011-09-02 18:01 PDT by Blake Kaplan (:mrbkap)
Modified: 2011-10-01 02:30 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (5.09 KB, patch)
2011-09-02 18:03 PDT, Blake Kaplan (:mrbkap)
jmaher: review+
Details | Diff | Splinter Review

Description User image Blake Kaplan (:mrbkap) 2011-09-02 18:01:09 PDT
The patch for bug 648801 runs into a mochitest error that's orthogonal to what the patch in that bug is trying to do: namely enablePrivilege("UniversalBrowserRead") doesn't fully work with the new security wrappers in that bug. However, instead of fixing the wrappers to deal with this case, it's easier and more correct to nuke another use of enablePrivilege here.

We actually get two for the price of one, since I did the wrong file first.
Comment 1 User image Blake Kaplan (:mrbkap) 2011-09-02 18:03:30 PDT
Created attachment 558007 [details] [diff] [review]
Patch
Comment 2 User image Josh Matthews [:jdm] 2011-09-03 07:20:06 PDT
Comment on attachment 558007 [details] [diff] [review]
Patch

I feel more comfortable letting Joel approve this.
Comment 3 User image Joel Maher ( :jmaher) 2011-09-06 13:16:47 PDT
Comment on attachment 558007 [details] [diff] [review]
Patch

Review of attachment 558007 [details] [diff] [review]:
-----------------------------------------------------------------

nothing jumps out at me here.  Is this tested on try server?
Comment 4 User image :Ehsan Akhgari 2011-09-16 11:08:53 PDT
Pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=cd31a18e63f6
Comment 5 User image Mozilla RelEng Bot 2011-09-16 15:51:00 PDT
Try run for cd31a18e63f6 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=cd31a18e63f6
Results (out of 30 total builds):
    success: 30
Builds available at http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/eakhgari@mozilla.com-cd31a18e63f6
Comment 7 User image Marco Bonardo [::mak] 2011-10-01 02:30:24 PDT
https://hg.mozilla.org/mozilla-central/rev/af81546ce5a2

Note You need to log in before you can comment on or make changes to this bug.